package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaTclsAelophyMerchantChannelOrderCreateConsignee struct {
	/*
	   收件人名称     */
	Name *string `json:"name,omitempty" `

	/*
	   收件人电话     */
	Phone *string `json:"phone,omitempty" `

	/*
	   配送地址     */
	Address *string `json:"address,omitempty" `

	/*
	   配送坐标     */
	Geo *string `json:"geo,omitempty" `

	/*
	   配送开始时间     */
	StartTime *util.LocalTime `json:"start_time,omitempty" `

	/*
	   配送结束时间     */
	EndTime *util.LocalTime `json:"end_time,omitempty" `
}

func (s *AlibabaTclsAelophyMerchantChannelOrderCreateConsignee) SetName(v string) *AlibabaTclsAelophyMerchantChannelOrderCreateConsignee {
	s.Name = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCreateConsignee) SetPhone(v string) *AlibabaTclsAelophyMerchantChannelOrderCreateConsignee {
	s.Phone = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCreateConsignee) SetAddress(v string) *AlibabaTclsAelophyMerchantChannelOrderCreateConsignee {
	s.Address = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCreateConsignee) SetGeo(v string) *AlibabaTclsAelophyMerchantChannelOrderCreateConsignee {
	s.Geo = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCreateConsignee) SetStartTime(v util.LocalTime) *AlibabaTclsAelophyMerchantChannelOrderCreateConsignee {
	s.StartTime = &v
	return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCreateConsignee) SetEndTime(v util.LocalTime) *AlibabaTclsAelophyMerchantChannelOrderCreateConsignee {
	s.EndTime = &v
	return s
}
